notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)

Two new features

Two two features were added on 2020-05-30:
  1. Repology links - each port now has a link to repology.org. See issue 148 for details.
  2. Ports I maintain report - port maintainers can now subscribe to a daily report of commits to the ports they maintain. See Watch ports I maintain at Report Subscriptions. Details at issue 138
Port details
py-pamqp Low level AMQP framing library for Python
1.6.1 net on this many watch lists=0 search for ports that depend on this port Find issues related to this port Report an issue related to this port View this port on Repology. 1.6.1Version of this port present on the latest quarterly branch.
Maintainer: olgeni@FreeBSD.org search for ports maintained by this maintainer
Port Added: 2016-10-28 08:59:58
Last Update: 2016-10-28 09:59:37
SVN Revision: 424817
Also Listed In: python
License: BSD3CLAUSE
Description:
SVNWeb : Homepage
pkg-plist: as obtained via: make generate-plist
Expand this list (3 items)
  1. /usr/local/share/licenses/py27-pamqp-1.6.1/catalog.mk
  2. /usr/local/share/licenses/py27-pamqp-1.6.1/LICENSE
  3. /usr/local/share/licenses/py27-pamqp-1.6.1/BSD3CLAUSE
Collapse this list.
Dependency lines:
  • ${PYTHON_PKGNAMEPREFIX}pamqp>0:net/py-pamqp
To install the port: cd /usr/ports/net/py-pamqp/ && make install clean
To add the package: pkg install py27-pamqp
PKGNAME: py27-pamqp
Flavors: there is no flavor information for this port.
distinfo:
Packages:
py27-pamqp
ABIlatestquarterly
FreeBSD:11:aarch641.6.11.6.1
FreeBSD:11:amd641.6.11.6.1
FreeBSD:11:armv6-1.6.1
FreeBSD:11:i3861.6.11.6.1
FreeBSD:11:mips-1.6.1
FreeBSD:11:mips64-1.6.1
FreeBSD:12:aarch641.6.11.6.1
FreeBSD:12:amd641.6.11.6.1
FreeBSD:12:armv61.6.11.6.1
FreeBSD:12:armv71.6.11.6.1
FreeBSD:12:i3861.6.11.6.1
FreeBSD:12:mips1.6.11.6.1
FreeBSD:12:mips641.6.11.6.1
FreeBSD:12:powerpc64-1.6.1
FreeBSD:13:aarch641.6.1-
FreeBSD:13:amd641.6.1-
FreeBSD:13:armv61.6.1-
FreeBSD:13:armv71.6.1-
FreeBSD:13:i3861.6.1-
FreeBSD:13:mips1.6.1-
FreeBSD:13:mips64--
FreeBSD:13:powerpc641.6.1-
 
py36-pamqp
ABIlatestquarterly
FreeBSD:11:aarch641.6.1-
FreeBSD:11:amd64--
FreeBSD:11:armv6--
FreeBSD:11:i386--
FreeBSD:11:mips--
FreeBSD:11:mips64--
FreeBSD:12:aarch641.6.1-
FreeBSD:12:amd64--
FreeBSD:12:armv61.6.1-
FreeBSD:12:armv71.6.1-
FreeBSD:12:i386--
FreeBSD:12:mips1.6.1-
FreeBSD:12:mips641.6.1-
FreeBSD:12:powerpc64--
FreeBSD:13:aarch64--
FreeBSD:13:amd64--
FreeBSD:13:armv6--
FreeBSD:13:armv7--
FreeBSD:13:i386--
FreeBSD:13:mips--
FreeBSD:13:mips64--
FreeBSD:13:powerpc64--
 
py37-pamqp
ABIlatestquarterly
FreeBSD:11:aarch64-1.6.1
FreeBSD:11:amd641.6.11.6.1
FreeBSD:11:armv6-1.6.1
FreeBSD:11:i3861.6.11.6.1
FreeBSD:11:mips-1.6.1
FreeBSD:11:mips64-1.6.1
FreeBSD:12:aarch64-1.6.1
FreeBSD:12:amd641.6.11.6.1
FreeBSD:12:armv6-1.6.1
FreeBSD:12:armv7-1.6.1
FreeBSD:12:i3861.6.11.6.1
FreeBSD:12:mips-1.6.1
FreeBSD:12:mips64-1.6.1
FreeBSD:12:powerpc64-1.6.1
FreeBSD:13:aarch641.6.1-
FreeBSD:13:amd641.6.1-
FreeBSD:13:armv61.6.1-
FreeBSD:13:armv71.6.1-
FreeBSD:13:i3861.6.1-
FreeBSD:13:mips1.6.1-
FreeBSD:13:mips64--
FreeBSD:13:powerpc641.6.1-
 

Dependencies
NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.
Build dependencies:
  1. py27-setuptools>0 : devel/py27-setuptools
  2. python2.7 : lang/python27
Runtime dependencies:
  1. py27-setuptools>0 : devel/py27-setuptools
  2. python2.7 : lang/python27
This port is required by:
for Build
  1. net/py-rabbitpy
for Run
  1. net/py-rabbitpy

Configuration Options

USES:

Master Sites:
  1. https://files.pythonhosted.org/packages/source/p/pamqp/
  2. https://pypi.python.org/packages/source/p/pamqp/
Notes from UPDATING
These upgrade notes are taken from /usr/ports/UPDATING
  • 2017-11-30
    Affects: */py*
    Author: mat@FreeBSD.org
    Reason: 
      Ports using Python via USES=python are now flavored.  All the py3-* ports
      have been removed and folded into their py-* master ports.
    
      People using Poudriere 3.2+ and binary packages do not have to do anything.
    
      For other people, to build the Python 3.6 version of, for example,
      databases/py-gdbm, you need to run:
    
        # make FLAVOR=py36 install
    
    

Number of commits found: 1

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
28 Oct 2016 08:59:37
Original commit files touched by this commit  1.6.1
Revision:424817
olgeni search for other commits by this committer
Add py-pamqp, a low level AMQP framing library for Python.

Number of commits found: 1

Login
User Login
Create account

Servers and bandwidth provided by
New York Internet, iXsystems, and RootBSD

This site
What is FreshPorts?
About the authors
Issues
FAQ
How big is it?
The latest upgrade!
Privacy
Blog
Contact

Search
Enter Keywords:
 
more...

Latest Vulnerabilities
rubygem-kramdownJul 08
gitlab-ceJul 07
mbedtlsJul 07
anydeskJul 04
dbusJul 03
py-matrix-synapseJul 03
coturnJul 02
gitlab-ceJul 02
powerdns-recursorJul 02
samba410Jul 02
samba411Jul 02
drupal7Jul 01
xrdpJun 30
mongodb36Jun 29
mongodb40Jun 29

25 vulnerabilities affecting 118 ports have been reported in the past 14 days

* - modified, not new

All vulnerabilities

Last updated:
2020-07-08 20:51:12


Ports
Home
Categories
Deleted ports
Sanity Test Failures
Newsfeeds

Statistics
Graphs
NEW Graphs (Javascript)
Traffic

Calculated hourly:
Port count 39679
Broken 79
Deprecated 586
Ignore 311
Forbidden 5
Restricted 146
No CDROM 76
Vulnerable 19
Expired 4
Set to expire 556
Interactive 0
new 24 hours 3
new 48 hours5
new 7 days24
new fortnight57
new month144

Servers and bandwidth provided by
New York Internet, iXsystems, and RootBSD
Valid HTML, CSS, and RSS.
Copyright © 2000-2020 Dan Langille. All rights reserved.